Introduction

TextEd version 3

Introduction

TextEd is an editor, it is not the word processor. This first phrase was necessary to fully explain what TextEd is. Some users has got used to word processors and TextEd will be pretty poor from their point of view. On the other hand, many users use editors and I hope TextEd will bring a delight in their day to day work.

Why editor and not word processor?

Editors are made to handle text, not complex documents and in that duty they are really fast, partially because they are small and fast loading, partially because they do not have complex control functions and objects that handles a mountain of things like text tables, formatting, colorizing, spell checkers and other sofisticated things that uses a lot of processor time and memory. When you need a quick write or edit, fastest and easiest way is to use editor.

Why TextEd?

Windows offers editor called "Notepad" with the windows installation that we all know well. We also know how "Notepad" is poor and limited. Therefore, a lot of programmers have decided to write their own editors to enhance weakness of the standard Notepad. Unfortunately, 90% failed to show crucial advancements.
TextEd is not the only one which is limitless and free of charge. It is among the ones which have excellent power/ease of use ratio and it is certainly among the very few which gives you full control over a text, editing and mail sending.
In addition, it is the only one of the market that can be found in DLL form, ready to use by software developers in their applications.

As the best feature, TextEd is free in full meaning of the word "free".
You can install it wherever you want, give it to whoever you wish, use it in whatever purposes you desire. We do not even request registration, your e-mail, or any kind of data, alas, a feedback would be appriciated.
If you like it, have suggestion, critics etc. , we would be happy to recieve it. Your contribution in that matters will greatly improve future versions of TextEd.


 User interface

Main TextEd screen consists of menu, toolbar, tabbed notebook and information bar.

Menu has all options available in TextEd with associated keyboard shortcuts. These shortcuts are standard windows shortcuts except the ones which exists in TextEd and not exists in windows.

Toolbar contains buttons which represents most commonly used functions. If you find toolbar space-occupying, you can hide it. Toolbar is not necessary for proper functioning.

Tabbed Notebook contains the editor itself. It can contain over 2 billion of editors with different contents. It allows editing of multiple files in the same time. Each tab contains icon which changes to show is text modified or not and filename of the current text.

Information bar contains various usable panels. First shows your current line, column and character position to enable easy navigation through text. Second shows is current text modified or not. CAPS, INS and SCR panels shows are Caps Lock (CAPS) or Scroll Lock (SCR) buttons activated, as well as, is text in Insert (INS) or in Overwrite (OVR) mode.


 Preferences

SMPT & e-mail settings

Server settings are pretty straightforward. Put server data in appropriate fields. If you do not know your SMTP server settings, copy them from your default mailer or ask your Service Provider/Administrator.

"Display" part follows:
  • "From name" will be the name displayed to whoever recieves your message (eg. John Smith).
  • "From Address" will be an e-mail address that receiver of your message and his mailer will see.
  • "Signature file" is any text file which contents will be attached at the end of your message as your signature.
Editor settings

Buttons:
  • Font button: Change default font for the TextEd, its size, style and color
  • Color button: Changes background color of TextEd
  • Trash button: Will clear links to all files recently opened (clears "Reopen" menu)
  • Bridge button: You can set file extensions (types) that will appear in Open and Save dialogs
XP menu style checkbox when checked, will change appearence of all menus to "fancy" XP look. Unchecked, it will return menu appearence to Windows's default. Sometime, XP look setting can interfere with some VGA cards and menu will display wrongly. In that case, turn this off to make it standard.

Number of ident spaces on "Format to Paragraphs" will add desired number of spaces infront of the first word in the sentence when "Format to Paragraphs", from "Format" menu, is clicked.
Default value: 3

Number of Left Printer Margin milimeters will determine left margin (in milimeters) when text is printed out. Accordingly, right printer margin setting will present a point, in milimeters, where text will be wrapped on paper.

Open new file at the end controls where to position cursor after opening new file. If checked, cursor will automatically go to the end of file. If unchecked, cursor will stay at the top of a file.

File Associations

TextEd offers to be a default viewer for a few file types. Default type (file extension) for a TextEd is TXT. You may choose others from the list or add new type yourself.
By selecting a type, when this file is double clicked, TextEd will open by default and load it.

Auto Upgrade

Here you can specify how TextEd should check for new versions. If check for updates automatically is checked, TextEd will automatically try to download new version of program, that is if one is available.
You can also specify the proxy that TextEd should use during this process.


 Non-standard File menu functions

New (Ctrl+N)

This is a standard function but works in slightly non-standard way.
When TextEd starts, by default, it has opened one tab with editor. File is called "Untitled". This is a default memory file. Pressing "New" button will not open new tab with another "Untitled".
It happens because "Untitled" is already a new file. As soon as you write one letter in it, pressing "New" button will open a new, empty, "Untitled" memory file. Difference between these two cases is that in first one, text was not modified and in second case, it is.

Reopen

Reopen is used to quick-access recent files.
Running TextEd for the first time will have it's Reopen menu blocked as it is empty. By opening any file, Reopen will be loaded with shortcut to that file. It can hold up to 10 recently used files.

Close (Ctrl + F4)

Close will close currently active file. If there is only one file opened, it will clear it and place "Untitled" as TextEd was opened for a first time.
It will ask for save if a file was modified.

Close all Pages (Shift+ Ctrl + F4)

Close all Pages will close all opened files prompting you to save changes for each file that has been modified.

Refresh from disk (F4)

It will reload the file from disk. If any modifications have been made, it will prompt for confirmation.

Send by e-mail

It will copy whole text in the active editor and put it into the mailer

Save All

Save all will save all texts that are opened and modified

Append to file

Append to file will open a dialog to choose a file you want to append to. Warning dialog will appear and after your confirmation, active text will be added to the end of a chosen file and saved.


 Edit menu (non-standard functions listed only)

Undo/Redo

Undo (Ctrl+Z), will return you one action back, while Redo (Ctrl+R) will return action that was undone with Undo. One click will make one action backward or forward.
Undo/Redo has limit of 99 actions, until text is saved. When text is saved, undo/redo list is cleared.

Important note:
When operating from "Find & Replace" dialog, there is only ONE undo step and Redo is inoperational.
Undo will return text to the state it was before "Find & Replace" dialog performed any action and undo list is cleared.
With Undo behavior like it is now, replace and advanced replace actions are speeded up approx. 30 (thirty) times.

Delete current line

Clear current line (Ctrl+Y) will clear one line at cursor position. It will not clear a sentance, just one line independent if text is wrapped or not.

Clear text

Clear text (Shift+Del) will clear whole text from the screen as well as from the memory.
Warning/Confirmation dialog is displayed as Undo does not functions here. It is made by purpose in order to discharge memory occupied, clear text and enable writing of new text in the file (if previously opened or saved).

Jump to line

Jump to line shall open edit box to recieve line number you want TextEd to jump to. It will always jump on the first character of the selected line. Line control may be seen in status bar.

Find & Replace

It will open advanced "Find & Replace" dialog (Ctrl+F). No matter if you want to just find or do simple or advanced replacements and cleaning, same dialog will appear.

Preferences

In "Preferences" dialog, you can view or change various TextEd options.


 Non-standard View menu functions

To Do List

"To Do List" is a list of features that you or other people would like to see included in future versions of TextEd.

Minimize to tray

Minimize to tray option will put TextEd in system tray when TextEd is closed. TextEd will reside in memory, but off the desktop. If this option is checked, only way to close TextEd is by right-click on TextEd's tray icon and selecting "Close". This option is useful if TextEd is frequently used. In Tray mode, TextEd guards the texts in it, but it doesn't consume much memory as all texts are already stored to Windows's virtual memory on disk.
TextEd remembers this setting. Once checked it will be on until unchecked even if TextEd is closed.

Expert mode

Expert mode will hide the toolbar, leaving more space for editor. It is useful if you have low resolution monitor (let's say 14" in 800x600 mode or less) and you need every milimeter of space. TextEd remembers this setting.

* Expert mode does not function in mailer.


 Format menu

Upper case

Upper case will change selected or all text in UPPER CASE.

Lower case

Lower case will change selected or all text in lower case.

Title case

Title case will change selected or all text in Title Case which means that first letter in all words shall be Upper while other letters shall be lower case.

Contra case

Contra case will invert case in selected or all text (eg. TextEd will become tEXTeD).

Format to paragraphs

Format to paragraphs will add number of ident spaces (set in preferences) to beginning of each paragraph. It will also clear all double "Enters" (CR) into single so text will look as it should in documents.

Format to real paragraphs

Format to real paragraphs is going to perform a real paragraphing in computer sense. It will not insert any ident but it will clear all double "Enters" into single one.
This is useful for DTP software as QuarkXPress, PageMill or similar as they have idents and text formating rules in their predefined style sheets.

Extract e-mails

Extract e-mails will extract any valid e-mail address within text (if found) and create new editor tab loading list of e-mails in it.

Word Wrap

Word Wrap, if checked, will break the lines at end of editing surface.


 Tools menu

Send contents to web browser (F9) copies contents of active text into the temporary HTML file and launch web browser for preview. It is very useful if you are writing web pages or other document that you would like to see how it looks in your web browser.

Encryption and Decryption requires a lock password on which basis text will be encrypted or decrypted. In order to decrypt encrypted text properly, lock password must be the same.
Decryption process shall not notify you if lock password is different than the one which encrypted the text, it will just do it. In that case, text will be re-encrypted, making it an unusable binary garbage (recover process will require to encrypt it with wrong password that you used to decrypt it, then to decrypt it with proper password, but it has no guarantee that it will work).

When text is encrypted, TextEd will mark it "Read only" not allowing you to change anything in it, except to save it.

Encryption uses "BlowFish" 448-bit key algorythm. Your lock password is not an actual key but a part of the key-building process. Your text will be fairly secure, but not uncrackable. If encryption experts wants really hard to break the code in order to read your message, they will break it. Be absolutely convinced. In case you need real security product, ask for more information about our prodact that it is still in development: VGS (Very Good Security).

*** Encryption method that TextEd uses is NOT intended for encryption of government, military or corporation secrets or other highly classified information.

MIME Encoding/Decoding is a new name for Base64 that is used by many mailers and internet browsers to transfer files. MIME encoding uses algorythm to convert bytes that is out of character range (not in A..Z, a..z and 0-9 ) to convert it to pure text. Even if it looks like encryption, it is not, so don't use it in that way. It can be used to encode file and send it as a message to an e-mail.


 Find & Replace dialog

Dialog consists of a two (three in advanced mode) drop down boxes. Find box (marked with "A" ), Replace box (marked with "B") and in advanced mode, additional edit box marked with "C".
Those marks are necessary for advanced mode, to understand what goes with what.
Boxes Find (A) and Replace (B) remembers last entries. Those entries are cleared when you close TextEd application.

Standard find/replace

Find options:
  • Case sensitive - performs a search only on words with exact case as ordered
  • Whole words only - searched for a whole words, not particles
Origin:
  • Start of document - performs search from the begining of text
  • From cursor - performs search starting from current cursor position
Special char:

Special char includes Line break [CRLF], "Enter" break only [CR], Line feed only [LF] and a Tab character [TAB]. These codes exists as it is impossible to enter them into find or replace box by keyboard.
Depending on what control is currently focused (Find or Replace box), when some special char is slected, it will be added automaticly in focused box.
For example, if you want to find word "day." which is on the ending of a sentance, you will search for "day.[CRLF]". Then, it will be no confusion with a word "day." which is not on exact ending of the phrase after which doesn't come new line.

Replace kind:

  • Standard replace - shows dialog box as is (default)
  • Advanced processes - expands dialog box making advanced functions available
How to use standard replace:

If you wish to find certain word or phrase, you need to enter it into the find box (A). Finding it for a first occurance requires "Find" button to be pressed (default button is "ENTER" is pressed). When word/phrase is found, you should use "Find Next" button (hotkey F3).
Finding text occurs simultaniously so you can see your results directly in editor even while dialog is shown infront of it. Dialog remebers it's last position so you can move it somewhere aside not to bother you monitoring what is happening in the text.

Note: If some phrase or block is selected in editor, all Standard Replace functions will operate inside of that selected phrase/block. If nothing is selected, operation is applied on the whole text.

If you wish to perform a single or multiple replace of some word with another, enter the word to be replaced in a find box (A) and word that will replace it in Replace box (B). Pressing "Replace" button will search for the first occurence of a desired word and replace it. You may continue pressing replace for next occurences.
However, if you wish to replace all occurences, just press "Replace All" button.

Note: Undo in Find & Replace dialog functions only once, returning the text in state which it was before Find & Replace dialog was opened.


 Advanced Find & Replace functions

When Advanced processes is selected from the "Replace kind" radio button group, you will notice, besides that dialog has been expanded, that "Case sensitive" is turned on and that it cannot be turned off. This was necessary as advanced functions works as a Case Sensitive functions, making text adjustments more precise.
You must forget now what is written on edit/list boxes. Remember that first box is A, second B and additional is box C.

Please, note that, when working with large texts (over 1 MB), advanced replacements may go sluggish, depending of complexity of operation. We have optimized it for 1530% (15.3 times) speed improvement regarding version 2.1 but do not be supprised if on slower machines, process takes 20 or more seconds.

Extract text between A and B

This function will extract all text in all occurences which is between words/phrases that you put in box A (Find) and in box B (replace), and put them into a separate text file which will open in editor automaticly if any extract occurs.

Example: you want to extract all text between words DAY and NIGHT in following phrase:
"Then DAY came and NIGHT gone away. I like DAY more then the NIGHT."

Extracted text will look as follows:
came and

more then the

Replace text between A and B with C, INC
(inclusive between)

This function will replace all occurences of a text which is between word/phrase that you put in box A and word/phrase that you put in box B, with the word/phrase that is in box C, INCLUDING words/phrases that are in box A and B.

Example: you wish to replace anything that is between "+" and "-" with "HELLO" on text
"Box + 20 bottles - bottle of Coca Cola
+ 10 bottles - wine"

Result:
"Box HELLO bottle of Coca Cola
HELLO wine"

Replace text between A and B with C, EXC
(exclusive between)

Same as above, except words/phrases in boxes A and B are intact - they are not deleted on replace.

Convert string escape codes to Escape codes

This function will replace all escape codes represented as string to escape codes.
For example, \r\n will be replaced with [CRLF] (invisible).
See a table of string escape codes. Function replace escape code to its value.

Character | Value | Constant | Description
\a | #7 | BELL | Bell
\b | #8 | BACKSPACE | Backspace
\f | #12 | FF | Form Feed
\n | #10 | LF | Line Feed
\r | #13 | CR | Carrage Return
\t | #9 | TAB | Tabulator
\v | #11 | VT | Vertical Tabulator

Strip HTML codes

This function will delete all HTML commands. It is useful for a cleaning a web page source file in order to read text that is written more clearly.
Function, actually, performs "Inclusive Between" functions, cleaning all text which are between "<" and ">".

Replace in all open documents

This function will replace text not just in active document, but rather in all opened.
Note that when using this function Undo option will not be available.


 Quick keys

Quick keys feature serves as additional help and speed-up to your work. It has behavior between a multiple clipboard and templates.
Any text on screen may be selected and stored to a keys 0-9. Later we can insert that text in the editor. That behavior looks like a "Clipboard behavior". I say that it has an element of a "Template behavior" because stored values are not lost when we close TextEd.
Important is to remember that only keys 1,2,3,4,5,6,7,8,9 and 0 on KEYBOARD can be used. These keys on NUMERIC part of a keyboard doesn't work.

How to use:

In further text, when I say KEY, I refer only to keys 0-9.

  • To store a text, use Ctrl+Shift+KEY
  • To insert text on screen, use Ctrl+KEY
  • To delete KEY, no text must be selected and Ctrl+Shift+KEY pressed. Confirmation dialog will be displayed. It actually stores 'nothing' to a selected key.
Quick key data is stored in file "qclip.dat". Loosing this file, stored values will be deleted. You may use this method to delete all keys at once. Once TextEd is loaded, file is recreated.

CAUTION: Text values for all 10 keys are stored in memory. They are not loaded on-demand. If you store 10 large texts, they will all be loaded to the memory when TextEd starts. Windows will manage it allright, using page file if you run out of RAM, but it can become sluggish.
(by large texts, I refer to 250 KB or more - usually will never happen)


 Quick notes

I could swear that were many times during your work, that you needed to open some file just to get some simple information. It came to my mind to implement this when I was writing one story that had many Characters that I could not remember name, surname, origin etc.
I needed to keep that file always within reach. This is not necessary anymore. Quick notes has arrived!

Similar to "ToDo list", when opened (shortcut Ctrl+Shift+Q), it displays list of items, it has small toolbar (above this time, just to be different from ToDo), and status bar below which informs you of number of registers in list whose number is limited only by your Hard Disk space.

Quick notes has few fields: Note ID, is note default, short description and a text field. Text field is not displayed in the list and must be called, or from Editor, or with Edit button. You must remember that ONLY ONE note can be default. This allows quick call from Editor.

It's multiple records nature may turn Quick Notes to a multiple clipboard, but this is not its primary function. When note is marked as default, pressing F12 from TextEd (any document) will launch viewer and note will be displayed which can be modified at once. To change the default note, enter Quick Notes, select desired note, press edit button and change it to default by checking the "default" checkbox.


 ToDo list

ToDo list is very handy tool that can keep track of work that needs to be done. It has been implemented in TextEd since version 3.0.

ToDo list consists of main list screen where all items are displayed and sorted by priority. Small toolbar at the bottom allows you to insert, edit, delete and view item.
All options are available in the popup menu as well and double-clicking an item from the list shall display the description same as you have pressed view button.

Usage of ToDo list is pritty straightforward and needs no further explanations. You can call ToDo list with keyboard shortcut Ctrl+Shift+D.


 TextEd's mailer

Opening mailer, current active text from editor will be copied in it. If your SMTP settings are not set, preferences will open automaticly in order to input proper SMTP server data.

DUN (Dial-Up Networking) is automatic. If you do have constant access to the internet, like ADSL, LAN etc. it will never appear. Accordingly, if you have a modem access to the internet, attempt to send mail, when working offline, will invoke Dial-Up connection automatically.

Mailer sends text in Plain Text format. That means that you are not able to send HTML formated messages. You must keep in mind that TextEd's mailer is just a handy tool that can quickly send text to someone and not a mailer tool that you should use in all circumstances.


Address Book

When first started, ABook will open an "Address Book" creation wizard. You must create at least one Address Book in order to use it.
When default address book is created, a tree menu will appear with one, empty, contact. Suggestion is to modify that contact, not to delete it as Address book must have at least one contact in it.

Now you may create other address books to keep your contacts organized.
Each address book is created in separate file. That file is not a database table, but advanced, table-alike buffer with limited search and sorting capabilities.

Using Address Book is pretty straightforward. It allows you to add, modify and delete contacts, as well as add them to the TO or CC fields of a mailer with appropriate button click.
Clicking on one contact, you can see its properties by opening a pop-up menu with right mouse button click.


 Technical information

Tabbed notebook can open MaxInt - 1 number of tabs (2,147,483,646), each containing an editor. Editor is inherited of RxRichEdit class that supports capacity of MaxInt - 1 number of bytes which are letters and special characters (2,147,483,646 bytes = 2 GB ). That means that, virtually, TextEd could open 2 billion Editors each containing 2 GB of text. In practice, this is not possible on current home computers as it exceedes common disk and memory storage, but is to know that you do not have to worry about number and length of files.

When, due to a length of a texts and number of editors is about to exceed available memory, memory control is handed over to Windows which will throw the most of the memory used to a PageFile (virtual RAM). Swapping is totally under control of OS.
Advanced users will notice that TextEd is a lot faster on Windows NT/2000/XP due to much better memory manager than that exists in windows 95/98/ME.

Editor has "PlainText" setting set to TRUE which means that it doesn't support RichText formatting capabilities, but it speeds it up more than 10 times.

Actually, TextEd can open and view standard RichText (RTF file) and can save it, as is or with simple editing, but cannot save it as other RTF file. If "Save As..." is invoked, TextEd will offer common plain text formats and RTF file will be converted to standard text format automaticly.


 Troubleshooting

Problem:
Menu appears until half of a size. Menu items are visible only when I pass with the mouse over them.

Solution:
You are running in a low color mode, 256 colors or less while minimum for XP styled menu is 65536 colors (16-bit). If this is not the case, XP looks requirements exceeds your VGA card capabilities.
You are to go to Preferences, Editor settings tab and uncheck "Enable XP menu style" checkbox. Menu will return to windows's standard looks.

Problem:
I use modem and I am not connected. I wish to send an e-mail or registration but Dial-Up doesn't appear automaticly.

Solution:
Problem can be caused by old Windows version or by old modems. There is no help in this case. Connect manually before trying to send mails or registration.

Problem:
When TextEd starts, it reports that RASAPI32.DLL is missing and it closes.

Solution:
Rasapi32.dll is integral part of any Windows OS, and there is just impossible not to have it, except if it was removed.
It should be in
\Windows\System32 or \WINNT\System32 directory.
I am assuming that system directory is defined in PATH.

If there is no presence of this file anywhere on computer, reinstall Dial-up networking or any network part that includes TCP/IP.
You can do that from Control panel->Add/Remove programs/ Windows components tab. If you find that file somewhere else, copy it to system direcotory and do as is described in paragraph below.

If there is a presence of this file, open command prompt (MS-DOS prompt) and change directory to it, for example, type:
C: (or D:)
cd Windows (or Winnt)
cd system32

 type following line:
regsvr32 rasapi32.dll

 In case it cannot register DLL from some reason, copy it to a TextEd directory.


 Registration

Registration of TextEd is not required in any sense. You are legal user just by possesing TextEd (unmodified by anyone but Green House multimedia).

However, registration will pay its benefits:
  • You will be notified of upgrades of TextEd as well as other GH products, if you have chosen to be informed, of course
  • You may have a discount on new commercial products
  • You may become a Beta-Tester of new GH products which may lead to significant discounts in commercial products. Depending on your activity as a tester, you may become official beta-tester and be awarded with completed applications free of charge
  • Depending on number of users from non-english-speaking world, we may begin translating products to your native language
We shall have benefit too:
  • Your feedbacks will make our products better


 History of TextEd changes

2nd JULY:
- TextEd created by Emil Beli and announced request for team members who
would work on a free Editor

11nd JULY:
- 3 people applied:
- Igor Savkic
- Goran Milosavljevic
- Goran Todorovic
- "The Friendly Team" founded

18th JULY: Emil Beli;
- WordWrap checked/unchecked;
- Editor Expert Mode added

20th July
- Tray icon/functions added; Goran Milosavljevic
- One instance bring to front; Igor Savkic
- Warning message on Clear Text; Emil Beli

23rd July
- unChangeCase added (code by Goran Todorovic)
- Refresh from Disk added; Emil Beli
- Added "Format" in menu, to put functions for Changing case
and WordWrap moved into it.; Emil Beli

24th July:
- Previous instance focusing when it's minimized to desktop or SysTray; Igor Savkic

26th July
- Recent files adding and reading completed; Emil Beli

27th July
- procedure ShowFile changed and All loading and creations are done by it
- TRichEdit replaced by TRxRichEdit

28th July 2001
- Change of how application Starts, changed application MainForm to frmEditor; Igor Savkic
- Application restore changes, added restore when
application is minimized to SystemTray; Igor Savkic

1st Aug:
- Added XP menus ; Emil Beli
- Repaired color & font storage; Emil Beli
- Repaired registry for Recent files; Emil Beli

2nd Aug:
- Repaired "Save text" bug when application is going to tray

3rd August 2001
- Changed implementation of Application bring to front; Igor Savkic

6th Aug:
- Added "File-Associations" (tab and functions) in the "Properties"; Goran Milosavljevic

9th August 2001
- Fix of not opening file of associated type; Igor Savkic
- Fix of bug with ParamFileList freeing in OnClose handler; Igor Savkic

20th August 2001
- Fix of save warning if Untitled is not modified ; E.Beli
- Recent files reopen fixed; E.Beli

21th August 2001
- Bugfix in Reopen files; E.Beli
- OpenDialog now remembers last used file type ; E.Beli
- Changed layout of EditorSettings in Preferences + functions added ; E.Beli
- Added Shortcut on preferences menu to Shift+Ctrl+P ; E.Beli
- Unit FileTypes added. On preferences, user may customize FileTypes in Dialogs.

28th August 2001
- NetMaster Components replaced with Indy,
additional changes regarding this one; Igor Savkic

30th August 2001
- Change of passing files to open between application instances; Igor Savkic

30th August 2001
- Merge of code from TextEd.dpr and this unit regarding passing files to open from
one application instance to another; Igor Savkic
- Fix of bug referencing Application.MainForm although it's not yet created; Igor Savkic

8th September 2001
- Saving modified files changes and various other changes
- Fix, referencing destroyed EditorRichEdit in ShowFile Procedure; Igor Savkic

16th September 2001
- TextEd v1.2 released

22nd September 2001
- Fix, bug in saving files to the root
- Fix in opening files that have spaces in their name; Igor Savkic

27th September 2001
- Fix of forced showing SMTP preferences tab when SMTP is not set and preferences invoked; Emil Beli
- Fix of Title Case procedure ; Emil Beli

28-29 September 2001
- Changes in communication of program instances and command line params processing,
some minor program inconsistances fix; Igor Savkic

20th September 2001
- Corrected declaration of BroadcastSystemMessage function; Igor Savkic

22nd September 2001
- Fix on opening files that have spaces in their name; Igor Savkic

28-29 Septembar 2001
- Instances comunication implemented using memmory mapped files and sending
WM_COPYDATA message; Igor Savkic

16 OCT; Beli
- Repaired Win95 errors in unRecent
- Added desactivation of XP style menu in preferences
- Repaired Special chars in Find&Replace

17 OCT; Beli
- Added "Extract E-mails" routine

18 OCT; Beli
- Added Format to Paragraphs
- Added Format to Real Paragraphs
- Added encryption/decryption

18. NOV
- DUN added; Savkic

19/20 NOV; Beli
- OnUrlClick added;
- Paste to Find&Replace dialog fixed

22. NOV; Beli
- Added Advanced replace/process functions to Replace Dialog
- conversion of String Escaped chars to Escaped chars
- Stripping HTML code
- Extraction between
- Replacing between, included and excluded type
- Added Redo
- Enhanced Undo
- EditorRichEdit (TRichEdit) is closed at create so new TMyRichEdit (TRxRichEdit)
is created at once to enable advanced functions of Rx. This is done to avoid
major recoding due to initial wrong conception of TextEd.

05. DEC; Beli
- Repaired Replace All's busting of text formatting due to WordWrap.
- Added Countries in Registration form's combo box
- Allowed RTF viewing and editing, but disabled saving as RTF on Save As...
- Added "Append to file"

01-03 FEB 2002; Igor Savkic
- Printing with text wrap;
- Added Left & Right margins in milimetars;

05 FEB 2002; Emil Beli
- Added MIME Encode/Decode

------------------------- Version 2.0.1.39+ ------------------------------------

08 FEB 2002; Emil Beli
- Added Pop-up menu on Tabs.
- Changed Status bar, added INS,CAPS,SCR panels

15 FEB; Emil Beli
- Caption contains full path and filename
- Added Size on status bar
- Minor bugfixes
- Added Jump to Line
- Added Character control in Status Bar
- Added closure of Find&Replace dialog on Esc key
- Added Hints on status bar panels
- Code cleaning
- MIME Encode to file

------------------------- Version 2.1.0.6 RC1 released -----------------------

16 FEB 2002; Emil Beli
- Size on status bar removed due to performace sink.

06 MAR 2002; Emil Beli
- AutoUpdate feature added

07 MAR 2002; Emil Beli
- WordWrap checkbox inversion repaired
- File read-only status displayed properly
- Help file updated

----------------------- Final version 2.1 (2.1.1.12) released -----------------